Subject: Re: [lemonade] Future Release in LEMONADE Profile bis?

From: Eric Burger <[email-masked]>
Date: Mon, 02 Jul 2007 13:24:21 -0400

<chair-hat off>
Don't you need to negotiate features anyway?  There is no, "Are you a
lemonade server / client" query.  Either the server advertises Future
Delivery or it does not.

If you are assuming or know via some non-IMAP method that your client is
talking to a "lemaonde server," then you are already in a proprietary
environment where you can mandate that magic server also supports Future
Delivery.

On 6/29/07 9:33 AM, "Vaudreuil, Greg M (Greg)" <[email-masked]>
wrote:

> Well.... the point of lemonade was to create a profile with a new
> minimum-to-implement set of features that client could assume.  The idea
> as I understood it was a client could get "skinny" by assuming either
> base IMAP or LEMONADE IMAP.  By having two distinct levels of
> functionality, one could simplify both the user experience and the code
> by eliminating or significantly reducing expensive "options".
> 
> The cost of not doing so is that this is one more "option" that may or
> may not be present.  Most annoyingly, the presence of this option can be
> known at composition time only by more icky client configuration or a
> client caching the capabilities of the submission server from the last
> connect.
> 
> If this is the model, I'd like to include Future Release in that higher
> functional tier.
> 
> Greg V.
> 
> -----Original Message-----
> From: Eric Burger [mailto:[email-masked]]
> Sent: Thursday, June 28, 2007 4:35 PM
> To: Vaudreuil, Greg M (Greg)
> Cc: Enhancements to Internet email to support diverse service
> enivronments
> Subject: Re: [lemonade] Future Release in LEMONADE Profile bis?
> 
> 
> I don't see it that way, unless one is creating a "Lemonade client" that
> does not follow standard IMAP and assumes features are there, and thus
> Future Delivery, if not in the Profile, is clearly a weird thing.
> 
> If one creates clients that happen to implement lemonade, and they want
> to
> do future delivery, they just do future delivery.
> 
> What could possibly go wrong?
> 
> 
> On 6/26/07 1:53 PM, "Vaudreuil, Greg M (Greg)"
> <[email-masked]>
> wrote:
> 
>> 
>> I reviewed the minutes and list, but don't see clearly if we agreed
> that
>> future-release was to be included in the Ph-2 LEMONADE profile.  There
>> was plenty of debate as to whether the extension should be worked as a
>> formal WG item or not, with a flip-flop-flip in the history.  That
>> document is now done, RFC 4865.
>> 
>> I'd like to suggest that future-release is included in Profile-BIS.
> It
>> is a simple extension with high utility to a diverse client,
> especially
>> with intermittent connectivity or subject to unforseen battery
>> exhaustion.  In general, fewer options are better than more, and this
> is
>> an extension I expect to be widely implemented regardless of whether
> it
>> is in LEMONADE or not.  Not including simply requires supporting
> another
>> code-path in the client and another diverse user experience :-(
>> 
>> Greg V.
>> 
>> 
>> 
>> _______________________________________________
>> lemonade mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/lemonade
>> Supplemental Web Site:
>> http://www.standardstrack.com/ietf/lemonade
> 
> 
> Notice:  This email message, together with any attachments, may contain
> information  of  BEA Systems,  Inc.,  its subsidiaries  and  affiliated
> entities,  that may be confidential,  proprietary,  copyrighted  and/or
> legally privileged, and is intended solely for the use of the individual
> or entity named in this message. If you are not the intended recipient,
> and have received this message in error, please immediately return this
> by email and then delete it.
> 

Notice:  This email message, together with any attachments, may contain information  of  BEA Systems,  Inc.,  its subsidiaries  and  affiliated entities,  that may be confidential,  proprietary,  copyrighted  and/or legally privileged, and is intended solely for the use of the individual or entity named in this message. If you are not the intended recipient, and have received this message in error, please immediately return this by email and then delete it.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade
Supplemental Web Site:
http://www.standardstrack.com/ietf/lemonade